Bug 6731 - streams_xattr doesn't handle reads beyond EOF right
streams_xattr doesn't handle reads beyond EOF right
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: File services
3.4.1
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-15 20:45 UTC by Volker Lendecke
Modified: 2011-08-31 20:54 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2009-09-15 20:45:45 UTC
444a05c28df693 contains a fix for the streams_xattr module. IMO this should go into 3.4.2.

Volker
Comment 1 Volker Lendecke 2009-09-18 10:51:12 UTC
Jeremy, could you review, possibly ack & assign it to Karolin?

Thanks,

Volker
Comment 2 Jeremy Allison 2009-09-18 11:51:23 UTC
+1 - this is a simple obvious fix I saw tested at the CIFS interop lab. Karolin please pull for 3.4.2.
Jeremy.
Comment 3 Karolin Seeger 2009-09-19 11:54:32 UTC
Pushed, will be included in 3.4.2.
Closing out bug report.

Thanks!